library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_ARITH.all;
use ieee.numeric_std.all;
use ieee.std_logic_unsigned.all;


entity led_case is 
port
(
	clk  : in  std_logic;
	leds : out std_logic_vector(3 downto 0)
);
end led_case;

architecture led of led_case is

	signal count : std_logic_vector(21 downto 0) := (others => '0'); 
	signal slct  : std_logic_vector(1 downto 0) := (others => '0'); 

begin

	process(clk)
	begin
	
		if (rising_edge(clk)) then
		
			count <= count + '1';
			
			if (count = b"11_1111_1111_1111_1111_1111") then
				slct <= slct + '1';
			end if;
			
		end if;
		
	end process;
	
	process(clk)
	begin
		
		if (rising_edge(clk)) then
		
			case (slct) is
			
				when b"00" => leds <= b"0001";
				when b"01" => leds <= b"0010";
			   when b"10" => leds <= b"0100";
				when b"11" => leds <= b"1000";		
				
				when others => leds <= b"0000";
				
			end case;
			
		end if;
		
	end process;
	

end led;